spring:
  datasource:
    type: com.alibaba.druid.pool.DruidDataSource
    druid:
      driver-class-name: com.mysql.cj.jdbc.Driver
      url: jdbc:mysql://192.168.31.248:3306/freight?useUnicode=true&characterEncoding=utf8&autoReconnect=true&useSSL=false
      username: freight
      password: freight
      initial-size: 5
      min-idle: 5
      max-active: 20
      max-wait: 60000
      time-between-eviction-runs-millis: 60000
      min-evictable-idle-time-millis: 300000
      validation-query: SELECT 1 FROM DUAL
      test-while-idle: true
      test-on-borrow: false
      test-on-return: false
      filter:
        stat:
          log-slow-sql: true
          slow-sql-millis: 1000
          merge-sql: false
  data:
    mongodb:
      host: 192.168.31.248
      port: 27017
      database: huangcb
#mybatis
mybatis-plus:
  mapper-locations: classpath*:/mapper/**/*Dao.xml
  #实体扫描，多个package用逗号或者分号分隔
  typeAliasesPackage: com.esv.freight.file.*.*.entity,com.esv.freight.file.*.*.dto
  check-config-location: true
  #原生配置
  configuration:
    map-underscore-to-camel-case: true
    cache-enabled: false
    call-setters-on-nulls: true
    jdbc-type-for-null: 'null'
  global-config:
    banner: true
    #数据库相关配置
    db-config:
      #主键类型  AUTO:"数据库ID自增", INPUT:"用户输入ID", ID_WORKER:"全局唯一ID (数字类型唯一ID)", UUID:"全局唯一ID UUID";
      id-type: AUTO
      logic-delete-value: 1
      logic-not-delete-value: 0
#AES对称加密秘钥
aes:
  sha1prng:
    key: freight-file-servie-3.1415926535
#文件下载基础url
file:
  register: image=2,pdf=10,excel=5,word=5,apk=100
  download:
    base-url: http://192.168.31.248:8082/file/download/direct/
baidu:
  ocr:
    app_id: 19433262
    api_key: iXr2xpoGp3GPshCWkiW92W2G
    secret_key: 6xzVIG8C3tQslR9zsM7q6gRYLNLc8ISB
#水印文字默认大小
wartermarker:
  font:
    size: 60